diff -pruN 4.8.3-3/debian/changelog 4.8.3-3ubuntu1/debian/changelog
--- 4.8.3-3/debian/changelog	2020-12-20 19:31:36.000000000 +0000
+++ 4.8.3-3ubuntu1/debian/changelog	2020-12-22 19:43:59.000000000 +0000
@@ -1,3 +1,13 @@
+cinnamon (4.8.3-3ubuntu1) hirsute; urgency=medium
+
+  * Add upstream patches to fix FTBFS on arm64:: 
+    - fix-order-only-dependency-on-generated-headers.patch
+      https://github.com/linuxmint/cinnamon/commit/ea57326
+    - fix-more-enum-header-issues.patch
+      https://github.com/linuxmint/cinnamon/commit/480568c
+
+ -- Rik Mills <rikmills@kde.org>  Tue, 22 Dec 2020 19:43:59 +0000
+
 cinnamon (4.8.3-3) unstable; urgency=medium
 
   [ Simon McVittie ]
diff -pruN 4.8.3-3/debian/patches/fix-more-enum-header-issues.patch 4.8.3-3ubuntu1/debian/patches/fix-more-enum-header-issues.patch
--- 4.8.3-3/debian/patches/fix-more-enum-header-issues.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.8.3-3ubuntu1/debian/patches/fix-more-enum-header-issues.patch	2020-12-22 19:29:46.000000000 +0000
@@ -0,0 +1,22 @@
+diff --git a/src/meson.build b/src/meson.build
+index 6db198fac5..40cbc92feb 100644
+--- a/src/meson.build
++++ b/src/meson.build
+@@ -142,7 +142,7 @@ executable(
+ 
+ js_tester = executable(
+     'run-js-test',
+-    'run-js-test.c',
++    ['run-js-test.c', cinnamon_enum_types[1]],
+     c_args: [
+         '-DCINNAMON_PKGLIBDIR="@0@"'.format(join_paths(prefix, pkglibdir)),
+     ],
+@@ -153,7 +153,7 @@ js_tester = executable(
+ 
+ executable(
+     'cinnamon',
+-    'main.c',
++    ['main.c', cinnamon_enum_types[1]],
+     c_args: [
+         '-DLOCALEDIR="@0@"'.format(join_paths(prefix, datadir, 'locale')),
+         '-DCINNAMON_PKGLIBDIR="@0@"'.format(join_paths(prefix, pkglibdir)),
diff -pruN 4.8.3-3/debian/patches/fix-order-only-dependency-on-generated-headers.patch 4.8.3-3ubuntu1/debian/patches/fix-order-only-dependency-on-generated-headers.patch
--- 4.8.3-3/debian/patches/fix-order-only-dependency-on-generated-headers.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.8.3-3ubuntu1/debian/patches/fix-order-only-dependency-on-generated-headers.patch	2020-12-20 08:31:26.000000000 +0000
@@ -0,0 +1,19 @@
+diff --git a/src/meson.build b/src/meson.build
+index 0eabff464a..6db198fac5 100644
+--- a/src/meson.build
++++ b/src/meson.build
+@@ -54,11 +54,13 @@ cinnamon_sources = [
+     cinnamon_headers,
+ ]
+ 
+-cinnamon_sources += gnome.mkenums_simple(
++cinnamon_enum_types = gnome.mkenums_simple(
+     'cinnamon-enum-types',
+     sources: cinnamon_headers,
+ )
+ 
++cinnamon_sources += cinnamon_enum_types
++
+ tray_headers = [
+     'tray/na-tray-child.h',
+     'tray/na-tray-manager.h',
diff -pruN 4.8.3-3/debian/patches/series 4.8.3-3ubuntu1/debian/patches/series
--- 4.8.3-3/debian/patches/series	2020-12-20 19:31:36.000000000 +0000
+++ 4.8.3-3ubuntu1/debian/patches/series	2020-12-22 19:29:46.000000000 +0000
@@ -2,3 +2,5 @@ background.patch
 Drop-nm-applet-from-the-session-files.patch
 new-iso-flags-folder.patch
 always-add-default-theme.patch
+fix-order-only-dependency-on-generated-headers.patch
+fix-more-enum-header-issues.patch
